Package org.flowable.engine.delegate.event.impl

# Class FlowableJobRescheduledEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl
org.flowable.engine.delegate.event.impl.FlowableJobRescheduledEventImpl

All Implemented Interfaces:
  `FlowableEngineEntityEvent`, `FlowableEngineEvent`, `FlowableEntityEvent`, `FlowableEvent`, `FlowableJobRescheduledEvent`, `FlowableProcessEngineEvent`

public class FlowableJobRescheduledEventImpl extends FlowableEntityEventImpl implements FlowableJobRescheduledEvent

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `rescheduledJobId`
  The id of the original job that was rescheduled.

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl

  `entity`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableJobRescheduledEventImpl(Job entity, String rescheduledJobId, FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRescheduledJobId()`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl

  `getEntity`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEntityEvent

  `getEntity`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### rescheduledJobId

    protected String rescheduledJobId
    The id of the original job that was rescheduled.

- ## Constructor Details

  - ### FlowableJobRescheduledEventImpl

    public FlowableJobRescheduledEventImpl(Job entity, String rescheduledJobId, FlowableEngineEventType type)

- ## Method Details

  - ### getRescheduledJobId

    public String getRescheduledJobId()
    Specified by:
      `getRescheduledJobId` in interface `FlowableJobRescheduledEvent`
    Returns:
      the job id of the original job that was rescheduled